import { env } from "#root/env.js";
import { LoggerOptions, pino } from "pino";
import PinoPretty, { PrettyOptions } from "pino-pretty";

const options: LoggerOptions = {
    level: env.LOG_LEVEL
};

const prettyOptions: PrettyOptions = {
    ignore: 'pid,hostname',
    colorize: env.isDev ? true : false,
    translateTime: 'SYS:dd.mm.yyyy, HH:MM:ss'
};

export let logger = pino(options);

if (env.isDev) {
    // @ts-ignore
    logger = pino(options, PinoPretty(prettyOptions));
}